Update product file metadata (flags, display order)
PUT
/v2/product-catalog/products/{id}/files/{fileId}
const url = 'https://api-crm-staging.divinea.com/api/v2/product-catalog/products/example/files/1';const options = { method: 'PUT', headers: {APIKey: '<APIKey>', 'Content-Type': 'application/json'}, body: '{"displayOrder":1,"flags":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api-crm-staging.divinea.com/api/v2/product-catalog/products/example/files/1 \ --header 'APIKey: <APIKey>' \ --header 'Content-Type: application/json' \ --data '{ "displayOrder": 1, "flags": "example" }'Authorizations
Sezione intitolata “Authorizations”Parameters
Sezione intitolata “Parameters”Path Parameters
Sezione intitolata “Path Parameters”fileId
required
integer format: int64
FileId
id
required
string format: uuid
Id
Request Body
Sezione intitolata “Request Body”Request
Media typeapplication/json
UpdateFileMetadataRequest
object
displayOrder
integer format: int32
flags
string
Examplegenerated
{ "displayOrder": 1, "flags": "example"}Responses
Sezione intitolata “Responses”OK
Media type*/*